module Main where

import Eval
import Lexer
import Library
import Parser
import REPL (repl)
import Research

import qualified Data.Map as Map
import Text.Megaparsec (runParser)

main :: IO ()
main = do
  putStrLn "Welcome to the Sapling Interpreter"
  putStrLn "You can exit at any time by typing and entering: "
  putStrLn ":_exit"
  repl library

runSapling :: String -> String
runSapling s = show $ result (evalSapling Map.empty $ parseSapling s)
runSaplingEnv env s = show $ result (evalSapling env $ parseSapling s)
